ALLEGRO_SHADER_PLATFORM(3)

NAME

ALLEGRO_SHADER_PLATFORM - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    typedef enum ALLEGRO_SHADER_PLATFORM ALLEGRO_SHADER_PLATFORM;

DESCRIPTION

The underlying platform which the ALLEGRO_SHADER(3) is built on top of, which dictates the language used to program the shader.

•   ALLEGRO_SHADER_AUTO - Pick a platform automatically given the current display flags.

•   ALLEGRO_SHADER_GLSL - OpenGL Shading Language

•   ALLEGRO_SHADER_HLSL - High Level Shader Language (for Direct3D)

•   ALLEGRO_SHADER_AUTO_MINIMAL - Like ALLEGRO_SHADER_AUTO, but pick a more minimal implementation that supports only basic alpha blending.

•   ALLEGRO_SHADER_GLSL_MINIMAL - Minimal GLSL shader.

•   ALLEGRO_SHADER_HLSL_MINIMAL - Minimal HLSL shader.

•   ALLEGRO_SHADER_HLSL_SM_3_0 - HLSL shader using shader model 3_0.

SINCE

5.1.0